Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTML.Tag

    java.lang.Object
      |
      +--javax.swing.text.html.HTML.Tag

Direct Known Subclasses:
  HTML.UnknownTag

Enclosing class:
  HTML

public static class HTML.Tag
extends Object

Typesafe enumeration for an html tag. Although the set of html tags is a closed set, we have let the set open so that people can add their own tag types to their custom parser and still communicate to the reader.

Field Summary
`static HTML.Tag` | `A`
`static HTML.Tag` | `ADDRESS`
`static HTML.Tag` | `APPLET`
`static HTML.Tag` | `AREA`
`static HTML.Tag` | `B`
`static HTML.Tag` | `BASE`
`static HTML.Tag` | `BASEFONT`
`static HTML.Tag` | `BIG`
`static HTML.Tag` | `BLOCKQUOTE`
`static HTML.Tag` | `BODY`
`static HTML.Tag` | `BR`
`static HTML.Tag` | `CAPTION`
`static HTML.Tag` | `CENTER`
`static HTML.Tag` | `CITE`
`static HTML.Tag` | `CODE`
`static HTML.Tag` | `COMMENT` All comments are labeled with this tag.
`static HTML.Tag` | `CONTENT` All text content is labeled with this tag.
`static HTML.Tag` | `DD`
`static HTML.Tag` | `DFN`
`static HTML.Tag` | `DIR`
`static HTML.Tag` | `DIV`
`static HTML.Tag` | `DL`
`static HTML.Tag` | `DT`
`static HTML.Tag` | `EM`
`static HTML.Tag` | `FONT`
`static HTML.Tag` | `FORM`
`static HTML.Tag` | `FRAME`
`static HTML.Tag` | `FRAMESET`
`static HTML.Tag` | `H1`
`static HTML.Tag` | `H2`
`static HTML.Tag` | `H3`
`static HTML.Tag` | `H4`
`static HTML.Tag` | `H5`
`static HTML.Tag` | `H6`
`static HTML.Tag` | `HEAD`
`static HTML.Tag` | `HR`
`static HTML.Tag` | `HTML`
`static HTML.Tag` | `I`
`static HTML.Tag` | `IMG`
`static HTML.Tag` | `IMPLIED` All text content must be in a paragraph element.
`static HTML.Tag` | `INPUT`
`static HTML.Tag` | `ISINDEX`
`static HTML.Tag` | `KBD`
`static HTML.Tag` | `LI`
`static HTML.Tag` | `LINK`
`static HTML.Tag` | `MAP`
`static HTML.Tag` | `MENU`
`static HTML.Tag` | `META`
`static HTML.Tag` | `NOFRAMES`
`static HTML.Tag` | `OBJECT`
`static HTML.Tag` | `OL`
`static HTML.Tag` | `OPTION`
`static HTML.Tag` | `P`
`static HTML.Tag` | `PARAM`
`static HTML.Tag` | `PRE`
`static HTML.Tag` | `S`
`static HTML.Tag` | `SAMP`
`static HTML.Tag` | `SCRIPT`
`static HTML.Tag` | `SELECT`
`static HTML.Tag` | `SMALL`
`static HTML.Tag` | `SPAN`
`static HTML.Tag` | `STRIKE`
`static HTML.Tag` | `STRONG`
`static HTML.Tag` | `STYLE`
`static HTML.Tag` | `SUB`
`static HTML.Tag` | `SUP`
`static HTML.Tag` | `TABLE`
`static HTML.Tag` | `TD`
`static HTML.Tag` | `TEXTAREA`
`static HTML.Tag` | `TH`
`static HTML.Tag` | `TITLE`
`static HTML.Tag` | `TR`
`static HTML.Tag` | `TT`
`static HTML.Tag` | `U`
`static HTML.Tag` | `UL`
`static HTML.Tag` | `VAR`

Constructor Summary
`` | `HTML.Tag()`
`protected` | `HTML.Tag(String id)`
`protected` | `HTML.Tag(String id, boolean causesBreak, boolean isBlock)`

Method Summary
`boolean` | `breaksFlow()` If the tag causes a line break, to the flow of data, then this method will return true.
`boolean` | `isBlock()` Block tags are tags that add structure to a document.
`boolean` | `isPreformatted()`
`String` | `toString()` Return the string representation of the tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    public static final HTML.Tag A

### ADDRESS

    public static final HTML.Tag ADDRESS

### APPLET

    public static final HTML.Tag APPLET

### AREA

    public static final HTML.Tag AREA

### B

    public static final HTML.Tag B

### BASE

    public static final HTML.Tag BASE

### BASEFONT

    public static final HTML.Tag BASEFONT

### BIG

    public static final HTML.Tag BIG

### BLOCKQUOTE

    public static final HTML.Tag BLOCKQUOTE

### BODY

    public static final HTML.Tag BODY

### BR

    public static final HTML.Tag BR

### CAPTION

    public static final HTML.Tag CAPTION

### CENTER

    public static final HTML.Tag CENTER

### CITE

    public static final HTML.Tag CITE

### CODE

    public static final HTML.Tag CODE

### DD

    public static final HTML.Tag DD

### DFN

    public static final HTML.Tag DFN

### DIR

    public static final HTML.Tag DIR

### DIV

    public static final HTML.Tag DIV

### DL

    public static final HTML.Tag DL

### DT

    public static final HTML.Tag DT

### EM

    public static final HTML.Tag EM

### FONT

    public static final HTML.Tag FONT

### FORM

    public static final HTML.Tag FORM

### FRAME

    public static final HTML.Tag FRAME

### FRAMESET

    public static final HTML.Tag FRAMESET

### H1

    public static final HTML.Tag H1

### H2

    public static final HTML.Tag H2

### H3

    public static final HTML.Tag H3

### H4

    public static final HTML.Tag H4

### H5

    public static final HTML.Tag H5

### H6

    public static final HTML.Tag H6

### HEAD

    public static final HTML.Tag HEAD

### HR

    public static final HTML.Tag HR

### HTML

    public static final HTML.Tag HTML

### I

    public static final HTML.Tag I

### IMG

    public static final HTML.Tag IMG

### INPUT

    public static final HTML.Tag INPUT

### ISINDEX

    public static final HTML.Tag ISINDEX

### KBD

    public static final HTML.Tag KBD

### LI

    public static final HTML.Tag LI

### LINK

    public static final HTML.Tag LINK

### MAP

    public static final HTML.Tag MAP

### MENU

    public static final HTML.Tag MENU

### META

    public static final HTML.Tag META

### NOFRAMES

    public static final HTML.Tag NOFRAMES

### OBJECT

    public static final HTML.Tag OBJECT

### OL

    public static final HTML.Tag OL

### OPTION

    public static final HTML.Tag OPTION

### P

    public static final HTML.Tag P

### PARAM

    public static final HTML.Tag PARAM

### PRE

    public static final HTML.Tag PRE

### SAMP

    public static final HTML.Tag SAMP

### SCRIPT

    public static final HTML.Tag SCRIPT

### SELECT

    public static final HTML.Tag SELECT

### SMALL

    public static final HTML.Tag SMALL

### SPAN

    public static final HTML.Tag SPAN

### STRIKE

    public static final HTML.Tag STRIKE

### S

    public static final HTML.Tag S

### STRONG

    public static final HTML.Tag STRONG

### STYLE

    public static final HTML.Tag STYLE

### SUB

    public static final HTML.Tag SUB

### SUP

    public static final HTML.Tag SUP

### TABLE

    public static final HTML.Tag TABLE

### TD

    public static final HTML.Tag TD

### TEXTAREA

    public static final HTML.Tag TEXTAREA

### TH

    public static final HTML.Tag TH

### TITLE

    public static final HTML.Tag TITLE

### TR

    public static final HTML.Tag TR

### TT

    public static final HTML.Tag TT

### U

    public static final HTML.Tag U

### UL

    public static final HTML.Tag UL

### VAR

    public static final HTML.Tag VAR

### IMPLIED

    public static final HTML.Tag IMPLIED

  All text content must be in a paragraph element. If a paragraph didn't exist when content was encountered, a paragraph is manufactured.

  This is a tag synthesized by the html reader. Since elements are identified by their tag type, we create a some fake tag types to mark the elements that were manufactured.

### CONTENT

    public static final HTML.Tag CONTENT

  All text content is labeled with this tag.

  This is a tag synthesized by the html reader. Since elements are identified by their tag type, we create a some fake tag types to mark the elements that were manufactured.

### COMMENT

    public static final HTML.Tag COMMENT

  All comments are labeled with this tag.

  This is a tag synthesized by the html reader. Since elements are identified by their tag type, we create a some fake tag types to mark the elements that were manufactured.

Constructor Detail

### HTML.Tag

    public HTML.Tag()

### HTML.Tag

    protected HTML.Tag(String id)

### HTML.Tag

    protected HTML.Tag(String id,
                       boolean causesBreak,
                       boolean isBlock)

Method Detail

### isBlock

    public boolean isBlock()

  Block tags are tags that add structure to a document.

### breaksFlow

    public boolean breaksFlow()

  If the tag causes a line break, to the flow of data, then this method will return true.

### isPreformatted

    public boolean isPreformatted()

### toString

    public String toString()

  Return the string representation of the tag.
  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.